# Uses of Class
javax.mail.FetchProfile.Item

Packages that use FetchProfile.Item
Package
Description
com.sun.mail.gimap
An EXPERIMENTAL IMAP protocol provider that supports the Gmail-specific IMAP protocol extensions .
com.sun.mail.imap
An IMAP protocol provider for the Jakarta Mail API that provides access to an IMAP message store.
com.sun.mail.imap.protocol
This package includes internal IMAP support classes and SHOULD NOT BE USED DIRECTLY BY APPLICATIONS.
javax.mail
The Jakarta Mail API provides classes that model a mail system.

## Uses of FetchProfile.Item in com.sun.mail.gimap

Subclasses of FetchProfile.Item in com.sun.mail.gimap
Modifier and Type
Class
Description
`static class`
`GmailFolder.FetchProfileItem`
A fetch profile item for fetching headers.

## Uses of FetchProfile.Item in com.sun.mail.imap

Subclasses of FetchProfile.Item in com.sun.mail.imap
Modifier and Type
Class
Description
`static class`
`IMAPFolder.FetchProfileItem`
A fetch profile item for fetching headers.

## Uses of FetchProfile.Item in com.sun.mail.imap.protocol

Methods in com.sun.mail.imap.protocol that return FetchProfile.Item
Modifier and Type
Method
Description
`FetchProfile.Item`
FetchItem.`getFetchProfileItem()`
Constructors in com.sun.mail.imap.protocol with parameters of type FetchProfile.Item
Modifier
Constructor
Description
``
`FetchItem(String name, FetchProfile.Item fetchProfileItem)`

## Uses of FetchProfile.Item in javax.mail

Subclasses of FetchProfile.Item in javax.mail
Modifier and Type
Class
Description
`static class`
`UIDFolder.FetchProfileItem`
A fetch profile item for fetching UIDs.
Fields in javax.mail declared as FetchProfile.Item
Modifier and Type
Field
Description
`static final FetchProfile.Item`
FetchProfile.Item.`CONTENT_INFO`
This item is for fetching information about the content of the message.
`static final FetchProfile.Item`
FetchProfile.Item.`ENVELOPE`
This is the Envelope item.
`static final FetchProfile.Item`
FetchProfile.Item.`FLAGS`
This is the Flags item.
`static final FetchProfile.Item`
FetchProfile.Item.`SIZE`
SIZE is a fetch profile item that can be included in a `FetchProfile` during a fetch request to a Folder.
Methods in javax.mail that return FetchProfile.Item
Modifier and Type
Method
Description
`FetchProfile.Item[]`
FetchProfile.`getItems()`
Get the items set in this profile.
Methods in javax.mail with parameters of type FetchProfile.Item
Modifier and Type
Method
Description
`void`
FetchProfile.`add(FetchProfile.Item item)`
Add the given special item as one of the attributes to be prefetched.
`boolean`
FetchProfile.`contains(FetchProfile.Item item)`
Returns true if the fetch profile contains the given special item.